summaryrefslogtreecommitdiffstats
path: root/dblatex
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2011-04-17 15:16:54 +0000
committer Eric Hameleers <alien@slackware.com>2011-04-17 15:16:54 +0000
commitda943a85bd488eec7f8e8c694938368f3a9e48f5 (patch)
treec829e72a34a6024975115fa1b199ca30458dc735 /dblatex
parent36488edc12498265141bb9a68be5b24b953303b7 (diff)
downloadasb-da943a85bd488eec7f8e8c694938368f3a9e48f5.tar.gz
asb-da943a85bd488eec7f8e8c694938368f3a9e48f5.tar.xz
Updated to 0.3 for Slackware 13.1
Diffstat (limited to 'dblatex')
-rwxr-xr-xdblatex/build/dblatex.SlackBuild146
1 files changed, 88 insertions, 58 deletions
diff --git a/dblatex/build/dblatex.SlackBuild b/dblatex/build/dblatex.SlackBuild
index a8bb59fe..77f6aab3 100755
--- a/dblatex/build/dblatex.SlackBuild
+++ b/dblatex/build/dblatex.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2007 Eric Hameleers <alien@slackware.com>
+# Copyright 2007, 2011 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -24,77 +24,106 @@
#
# Slackware SlackBuild script
# ===========================
-# By: Eric Hameleers <alien@slackware.com>
-# For: dblatex
-# Descr: DocBook to LaTeX/ConTeXt Publishing
-# URL: http://dblatex.sourceforge.net/
-# Needs:
-# Changelog:
-# 0.2.5-1: 04/Jun/2007 by Eric Hameleers <alien@slackware.com>
-# * Initial build.
+# By: Eric Hameleers <alien@slackware.com>
+# For: dblatex
+# Descr: DocBook to LaTeX/ConTeXt Publishing
+# URL: http://dblatex.sourceforge.net/
+# Needs:
+# Changelog:
+# 0.2.5-1: 04/Jun/2007 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+# 0.3-1: 17/Apr/2011 by Eric Hameleers <alien@slackware.com>
+# * Updated for Slackware 13.1.
#
-# Run 'sh dblatex.SlackBuild --cleanup' to build a Slackware package.
-# The package (.tgz) plus descriptive .txt file are created in /tmp .
-# Install using 'installpkg'.
+# Run 'sh dblatex.SlackBuild' to build a Slackware package.
+# The package (.tgz) and .txt file as well as build logs are created in /tmp .
+# Install it using 'installpkg'.
#
# -----------------------------------------------------------------------------
# Set initial variables:
PRGNAM=dblatex
-VERSION=${VERSION:-0.2.5}
-ARCH=${ARCH:-noarch}
+VERSION=${VERSION:-0.3}
BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:" -j4 "}
+TAG=${TAG:-alien}
-#DOCS=""
+DOCS="COPYRIGHT"
# Where do we look for sources?
-CWD=`pwd`
-SRCDIR=`dirname $0`
-[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
+SRCDIR=$(cd $(dirname $0); pwd)
# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Input URL: http://dl.sourceforge.net/dblatex/dblatex-0.2.5.tar.bz2
SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.bz2"
-SRCURL="http://dl.sourceforge.net/${PRGNAM}/${PRGNAM}-${VERSION}.tar.bz2"
+SRCURL="http://downloads.sourceforge.net/${PRGNAM}/${PRGNAM}-${VERSION}.tar.bz2"
##
## --- with a little luck, you won't have to edit below this point --- ##
##
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+case "$ARCH" in
+ i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ x86_64) SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+ ;;
+ *) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+esac
+
# Exit the script on errors:
set -e
-trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
# Catch unitialized variables:
set -u
P1=${1:-1}
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
+
# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
-rm -rf $TMP/tmp-$PRGNAM/* # remove leftovers from prvious build
mkdir -p $PKG # place for the package to be built
rm -rf $PKG/* # always erase old package's contents
-mkdir -p $OUTPUT # place for the package to be saved
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+ # remove old log files
# Source file availability:
if ! [ -f ${SOURCE} ]; then
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
- echo "Source '`basename ${SOURCE}`' not available yet..."
- echo "Will download file to `dirname $SOURCE`"
- wget -nv --connect-timeout=30 -O "${SOURCE}" "${SRCURL}" || true
+ echo "Will download file to $(dirname $SOURCE)"
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
- echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1
fi
else
- echo "File '`basename ${SOURCE}`' not available... aborting the build."
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
exit 1
fi
fi
@@ -112,32 +141,35 @@ echo "++"
cd $TMP/tmp-$PRGNAM
echo "Extracting the source archive(s) for $PRGNAM..."
-if `file ${SOURCE} | grep -q ": bzip2"`; then
- tar -xjvf ${SOURCE}
-elif `file ${SOURCE} | grep -q ": gzip"`; then
- tar -xzvf ${SOURCE}
-fi
-chown -R root:root *
-chmod -R u+w,go+r-w,a-s *
+tar -xvf ${SOURCE}
cd ${PRGNAM}-${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a+X-s .
echo Building ...
+# First, make it conform to our standards:
+sed -i -e "s#share/doc/dblatex#doc/dblatex-$VERSION#" \
+ -e "s#share/man/#man/#" setup.py
-# Use installwatch if available, to produce a logfile of the installation
-# process that is more easily readable:
-mkdir -p $PKG/usr
-if `which installwatch > /dev/null 2>&1`; then
- installwatch -o $OUTPUT/install-${PRGNAM}.log \
- python ./setup.py install --root=$PKG --prefix=/usr --catalogs=/etc/sgml/catalog
-else
- python ./setup.py install --root=$PKG --prefix=/usr --catalogs=/etc/sgml/catalog \
- 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
-fi
+python setup.py build 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+python setup.py install --root=$PKG 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
-# Move the documentation:
+# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-mv $PKG/usr/share/doc/dblatex/* $PKG/usr/doc/$PRGNAM-$VERSION/
-rm -rf $PKG/usr/share/doc
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Compress the man page(s):
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
+# Strip binaries (if any):
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Add a package description:
mkdir -p $PKG/install
@@ -145,14 +177,12 @@ cat $SRCDIR/slack-desc > $PKG/install/slack-desc
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
cd $OUTPUT
-md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}.md5
cd -
-cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+
+# Restore the original umask:
+umask ${_UMASK_}
-# Clean up the extra stuff:
-if [ "$P1" = "--cleanup" ]; then
- rm -rf $TMP/tmp-$PRGNAM
- rm -rf $PKG
-fi